Changeset 122046


Ignore:
Timestamp:
Jul 13, 2014, 2:27:37 PM (5 years ago)
Author:
devans@…
Message:

at-spi: mark obsolete, replaced by at-spi2-atk (#44257).

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/gnome/at-spi/Portfile

    r113855 r122046  
    44PortSystem 1.0
    55
     6replaced_by         at-spi2-atk
     7PortGroup           obsolete 1.0
     8
    69name                at-spi
    710version             1.32.0
    8 conflicts           at-spi2-atk
    9 license             LGPL
    10 set branch          [join [lrange [split ${version} .] 0 1] .]
    11 description         Gnome Accesibility Technology Service
    12 long_description \
    13    'at-spi' is a part of the Gnome Accessibility Project.  It provides a \
    14    Service Provider Interface for the Assistive Technologies available on \
    15    the GNOME platform, and a library against which applications can be linked.
    16 maintainers         nomaintainer
     11revision            1
     12license             none
    1713categories          gnome
    18 platforms           darwin
    19 homepage            http://developer.gnome.org/projects/gap/
    20 master_sites        gnome:sources/${name}/${branch}/
    21 
    22 checksums           sha256  cc841dea746413eebadf0710dabec741450b37a06821c34526f505fe9d027039 \
    23                     rmd160  18e9453c26f8d1cdd91ba7bf2d8ac49a19b9aa7d
    24 
    25 depends_build       port:intltool \
    26                     port:pkgconfig
    27 
    28 depends_lib         port:atk \
    29                     port:gtk2 \
    30                     port:gconf \
    31                     port:libbonobo \
    32                     port:xorg-libXtst
    33 
    34 use_bzip2           yes
    35 
    36 patchfiles          patch-pyatspi-Makefile.in.diff
    37 
    38 configure.args      --enable-static \
    39                     --disable-xevie \
    40                     --with-x \
    41                     --x-includes=${prefix}/include \
    42                     --x-libraries=${prefix}/lib \
    43                     --disable-schemas-install
    44 
    45 variant python26 conflicts python27 description {Use python 2.6} {
    46     configure.python        ${prefix}/bin/python2.6
    47     depends_lib-append      port:py26-gnome
    48     post-patch {
    49         reinplace "s|__MP_PYTHON_EXEC_DIR__|${prefix}//Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages|" ${worksrcpath}/pyatspi/Makefile.in
    50     }
    51 }
    52 
    53 variant python27 conflicts python26 description {Use python 2.7} {
    54     configure.python        ${prefix}/bin/python2.7
    55     depends_lib-append      port:py27-gnome
    56     post-patch {
    57         reinplace "s|__MP_PYTHON_EXEC_DIR__|${prefix}//Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages|" ${worksrcpath}/pyatspi/Makefile.in
    58     }
    59 }
    60 
    61 if {![variant_isset python26]} {
    62     default_variants +python27
    63 }
    64 
    65 post-activate {
    66    system "export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` && \
    67         gconftool-2 --makefile-install-rule ${prefix}/etc/gconf/schemas/*.schemas"
    68 }
    69 
    70 livecheck.type  gnome
Note: See TracChangeset for help on using the changeset viewer.